Package com.independentsoft.office.odf.drawing

# Class Object

java.lang.Object
com.independentsoft.office.odf.drawing.FrameContentElement
com.independentsoft.office.odf.drawing.Object

All Implemented Interfaces:
  `IContentElement`

public class Object extends FrameContentElement
Declares objects that have a OpenDocument representation.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.odf.drawing.FrameContentElement

  `parent`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Object()`
  Initializes a new instance of the Object class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `Document`
  `getDocument()`
  Gets the root element of a document in OpenDocument format.
  `String`
  `getFilter()`
  Gets the filter name for an image.
  `String`
  `getHref()`
  Gets the location of the embedded document this object refers to.
  `String`
  `getNotifyOnUpdateOfRanges()`
  Specifies that an Object will be notified if content within a given ranges changes.
  `void`
  `setDocument​(Document document)`
  Sets the root element of a document in OpenDocument format.
  `void`
  `setFilter​(String filter)`
  Sets the filter name for an image.
  `void`
  `setNotifyOnUpdateOfRanges​(String notifyOnUpdateOfRanges)`
  Specifies that an Object will be notified if content within a given ranges changes.
  `String`
  `toString()`
  Converts the value of the current Object object to its equivalent string representation.

  ### Methods inherited from class com.independentsoft.office.odf.drawing.FrameContentElement

  `getParent, setParent`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Object

    public Object()
    Initializes a new instance of the Object class.

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Specified by:
      `getContentElements` in class `FrameContentElement`
    Returns:
      A collection of content elements.

  - ### clone

    public Object clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in class `FrameContentElement`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current Object object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getDocument

    public Document getDocument()
    Gets the root element of a document in OpenDocument format.
    Returns:
      the document

  - ### setDocument

    public void setDocument​(Document document)
    Sets the root element of a document in OpenDocument format.
    Parameters:
      `document` - the new document

  - ### getNotifyOnUpdateOfRanges

    public String getNotifyOnUpdateOfRanges()
    Specifies that an Object will be notified if content within a given ranges changes.
    Returns:
      the notify on update of ranges

  - ### setNotifyOnUpdateOfRanges

    public void setNotifyOnUpdateOfRanges​(String notifyOnUpdateOfRanges)
    Specifies that an Object will be notified if content within a given ranges changes.
    Parameters:
      `notifyOnUpdateOfRanges` - the new notify on update of ranges

  - ### getHref

    public String getHref()
    Gets the location of the embedded document this object refers to.
    Returns:
      the location of the embedded document.

  - ### getFilter

    public String getFilter()
    Gets the filter name for an image. This attribute contains the internal filter name that an consumer has used to load the graphic.
    Returns:
      the filter

  - ### setFilter

    public void setFilter​(String filter)
    Sets the filter name for an image. This attribute contains the internal filter name that an consumer has used to load the graphic.
    Parameters:
      `filter` - the new filter